# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DBus::RefCnt Class Reference

`#include <util.h>`

## Public Member Functions

| RefCnt ()
| RefCnt (const RefCnt &rc)
virtual | ~RefCnt ()
RefCnt & | operator= (const RefCnt &ref)
bool | noref () const
bool | one () const

## Private Member Functions

DXXAPILOCAL void | ref () const
DXXAPILOCAL void | unref () const

## Private Attributes

int * | __ref

## Detailed Description

Definition at line 43 of file util.h.

## Constructor & Destructor Documentation

## ◆ RefCnt() [1/2]

DBus::RefCnt::RefCnt | ( |  | ) |

inline

Definition at line 47 of file util.h.

References __ref.

Referenced by operator=(), and RefCnt().

## ◆ RefCnt() [2/2]

DBus::RefCnt::RefCnt | ( | const RefCnt & | rc | ) |

inline

Definition at line 53 of file util.h.

References __ref, ref(), and RefCnt().

## ◆ ~RefCnt()

virtual DBus::RefCnt::~RefCnt | ( |  | ) |

inline virtual

Definition at line 59 of file util.h.

References unref().

## Member Function Documentation

## ◆ noref()

bool DBus::RefCnt::noref | ( |  | ) | const

inline

Definition at line 72 of file util.h.

References __ref.

Referenced by unref().

## ◆ one()

bool DBus::RefCnt::one | ( |  | ) | const

inline

Definition at line 77 of file util.h.

References __ref.

## ◆ operator=()

RefCnt & DBus::RefCnt::operator= | ( | const RefCnt & | ref | ) |

inline

Definition at line 64 of file util.h.

References __ref, ref(), RefCnt(), and unref().

## ◆ ref()

DXXAPILOCAL void DBus::RefCnt::ref | ( |  | ) | const

inline private

Definition at line 84 of file util.h.

References DXXAPILOCAL.

Referenced by operator=(), and RefCnt().

## ◆ unref()

DXXAPILOCAL void DBus::RefCnt::unref | ( |  | ) | const

inline private

Definition at line 88 of file util.h.

References __ref, DBus::debug_log, DXXAPILOCAL, and noref().

Referenced by operator=(), and ~RefCnt().

## Member Data Documentation

## ◆ __ref

int* DBus::RefCnt::__ref

private

Definition at line 105 of file util.h.

Referenced by noref(), one(), operator=(), RefCnt(), RefCnt(), and unref().

The documentation for this class was generated from the following file:

- util.h